//Class _Controller_ converts the bitmaps when going from planar to linear,
//or vice versa, graphic setup.
//Author: Tommy Grandefors
//Date: May 1997

#ifndef CONTROL_HH
 #define CONTROL_HH

#include "bitmap.hh"

struct _Node_ { Bitmap* bmp; _Node_* myNextNode;};

class _Controller_
{
public:
  _Controller_(void);
  ~_Controller_(void);
  void ConvertAllBitmaps(int mode, int width);
  int IamAlive(Bitmap* theBmp); //A bitmap announces himself to the list.
  void IamDead(int index); //A bitmap will be removed from the list.
private:
  _Node_* myFirstNode;
};

#endif
